org.apache.flume.interceptor

## Enum InterceptorType

- java.lang.Object
- - java.lang.Enum<InterceptorType>
  - - org.apache.flume.interceptor.InterceptorType

- All Implemented Interfaces:
    Serializable, Comparable<InterceptorType>

      public enum InterceptorType
      extends Enum<InterceptorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOST`
    `REGEX_EXTRACTOR`
    `REGEX_FILTER`
    `SEARCH_REPLACE`
    `STATIC`
    `TIMESTAMP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Interceptor.Builder>` | `getBuilderClass()`
    `static InterceptorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InterceptorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMESTAMP

          public static final InterceptorType TIMESTAMP

    - #### HOST

          public static final InterceptorType HOST

    - #### STATIC

          public static final InterceptorType STATIC

    - #### REGEX_FILTER

          public static final InterceptorType REGEX_FILTER

    - #### REGEX_EXTRACTOR

          public static final InterceptorType REGEX_EXTRACTOR

    - #### SEARCH_REPLACE

          public static final InterceptorType SEARCH_REPLACE

  - ### Method Detail

    - #### values

          public static InterceptorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterceptorType c : InterceptorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterceptorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBuilderClass

          public Class<? extends Interceptor.Builder> getBuilderClass()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.